#
# TODO:
#	- some smart way to create symlink when one theme is uninstalled
#	  but other still exists

%define		src_name	enlightenment

# /usr/share/enlightenment/data/themes/default.edj must be in both packages
%define		_duplicate_files_terminate_build	0

Summary:	Default Enlightenment themes
Summary(pl.UTF-8):	Domyślne motywy Enlightenmenta
Name:		enlightenment-theme-default
Version:	0.17.5
Release:	1
License:	BSD
Group:		Themes
Source0:	http://download.enlightenment.org/releases/%{src_name}-%{version}.tar.bz2
# Source0-md5:	6ba44073b26f85e3a0a053fbaf17b6be
URL:		http://enlightenment.org/
BuildRequires:	edje
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enlightenment default theme.

%description -l pl.UTF-8
Domyślne motywy Enlightenmenta.

%package slow_pc
Summary:	Default Enlightenment theme with small textures
Summary(pl.UTF-8):	Domyślny motyw Enlightenmenta z małymi teksturami
Group:		Themes
Requires:	enlightenment >= %{version}
Provides:	enlightenment-theme-default = %{version}

%description slow_pc
Default Enlightenment theme with small textures.

%description slow_pc -l pl.UTF-8
Domyślny motyw Enlightenmenta z małymi teksturami.

%package fast_pc
Summary:	Default Enlightenment theme with large textures
Summary(pl.UTF-8):	Domyślny motyw Enlightenmenta z dużymi teksturami
Group:		Themes
Requires:	enlightenment >= %{version}
Provides:	enlightenment-theme-default = %{version}

%description fast_pc
Default Enlightenment theme with large textures.

%description fast_pc -l pl.UTF-8
Domyślny motyw Enlightenmenta z dużymi teksturami.

%prep
%setup -q -n %{src_name}-%{version}
for DIR in themes; do
sed -e 's/@EDJE_DEF@/-DLOWRES_PDA=1 -DMEDIUMRES_PDA=2 -DHIRES_PDA=3 -DSLOW_PC=4 -DMEDIUM_PC=5 -DFAST_PC=6 -DE17_PROFILE=$(PROFILE)/' \
	-e 's#@edje_cc@#%{_bindir}/edje_cc#'	\
	-e 's#$(top_srcdir)/data/#../#'	\
	-e 's#$(top_builddir)/data/#../#'	\
	data/$DIR/Makefile.am > data/$DIR/Makefile
done

%build
%{__make} -C data/themes default.edj PROFILE=SLOW_PC
mv data/themes/{default.edj,default-slow_pc.edj}
%{__make} -C data/themes default.edj PROFILE=FAST_PC
mv data/themes/{default.edj,default-fast_pc.edj}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/enlightenment/data/themes

install data/themes/default-{slow,fast}_pc.edj \
	$RPM_BUILD_ROOT%{_datadir}/enlightenment/data/themes/
touch $RPM_BUILD_ROOT%{_datadir}/enlightenment/data/themes/default.edj

%clean
rm -rf $RPM_BUILD_ROOT

%post slow_pc
[ -e %{_datadir}/enlightenment/data/themes/default.edj ] || \
	ln -sf %{_datadir}/enlightenment/data/themes/{default-slow_pc.edj,default.edj}

%post fast_pc
[ -e %{_datadir}/enlightenment/data/themes/default.edj ] || \
	ln -sf %{_datadir}/enlightenment/data/themes/{default-fast_pc.edj,default.edj}

%files slow_pc
%defattr(644,root,root,755)
%{_datadir}/enlightenment/data/themes/default-slow_pc.edj
%ghost %{_datadir}/enlightenment/data/themes/default.edj

%files fast_pc
%defattr(644,root,root,755)
%{_datadir}/enlightenment/data/themes/default-fast_pc.edj
%ghost %{_datadir}/enlightenment/data/themes/default.edj
%changelog
* Tue Nov 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/enlightenment-theme-default.git;a=log;h=master

* Tue Nov 26 2013 Jakub Bogusz <qboosh@pld-linux.org> fb6d486
- updated to 0.17.5

* Mon Jul 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 257fdcf
- updated to 0.17.3

* Wed Apr 17 2013 Jan Rękorajski <baggins@pld-linux.org> a26c22e
- /usr/share/enlightenment/data/themes/default.edj in both packages

* Wed Apr 17 2013 Jan Rękorajski <baggins@pld-linux.org> 2b33d52
- up to 0.17.2.1

* Sat Jan 21 2012 zbyniu <zbyniu@pld-linux.org> c269964
- up to 0.16.999.65643

* Wed Jun 01 2011 zbyniu <zbyniu@pld-linux.org> 6910a5f
- rel 1

* Mon Jan 31 2011 lisu <lisu@pld-linux.org> 17f1ab6
- updated to 0.16.999.55225
- drop init themes (not included in this version)

* Thu Oct 09 2008 pablo <pablo@pld-linux.org> 9ab68d1
- updated
- using "official" snapshots

* Mon Aug 25 2008 pablo <pablo@pld-linux.org> 720ef26
- updated to 20080813 snap

* Sun Jun 01 2008 Bartłomiej Zimoń <cactus@pld-linux.org> b86eff5
- up to 0.16.999.043

* Sun Sep 09 2007 Jakub Bogusz <qboosh@pld-linux.org> ec05028
- updated md5

* Sun Sep 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 1d5990d
- updated to 0.16.999.038

* Mon Apr 30 2007 Robert Tomasik <rotom@pld-linux.org> de2b6e8
- up to 0.16.999.037

* Thu Feb 15 2007 sparky <sparky@pld-linux.org> 86a804e
- versioned enlightenment-init-default provides

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3d99b0d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 59e2829
- converted to UTF-8

* Fri Dec 01 2006 sparky <sparky@pld-linux.org> def7345
- updated to 0.16.999.036

* Thu Jul 20 2006 sparky <sparky@pld-linux.org> 11eef3a
- up to 0.16.999.031

* Wed Jul 19 2006 sparky <sparky@pld-linux.org> c2ab066
- enlightenmentDR17 -> enlightenment

* Tue Jul 11 2006 sparky <sparky@pld-linux.org> 7a16ce0
- check for init/init.edj, not init/default.edj
- force link, to prevent error when link exist but it's broken

